Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager.wrappers
Class GroupMemberWrapper

    java.lang.Object
      org.jasig.portal.channels.groupsmanager.wrappers.GroupMemberWrapper

All Implemented Interfaces:
  GroupsManagerConstants, IGroupsManagerWrapper

Direct Known Subclasses:
  EntityWrapper, GroupWrapper

    public abstract class GroupMemberWrapper

extends java.lang.Object
implements IGroupsManagerWrapper, GroupsManagerConstants

Returns an xml element for an IGroupMember.

Version:
  $Revision: 1.8 $
Author:
  Don Fracapane

Field Summary
`protected java.lang.String` | `ELEMENT_TAGNAME`

Fields inherited from interface org.jasig.portal.channels.groupsmanager.GroupsManagerConstants
`ADD_REMOVE_PERMISSION, ASSIGN_PERMISSION, BASE_PACKAGE, BROWSE_MODE, COMMANDS_PACKAGE, CREATE_PERMISSION, DELETE_PERMISSION, EDIT_MODE, ENTITY_CLASSNAME, ENTITY_TAGNAME, GROUP_CLASSNAME, GROUP_TAGNAME, GROUPS_PACKAGE, MEMBERS_ONLY_MODE, OWNER, PROPERTIES_TAGNAME, ROOT_GROUP_DESCRIPTION, ROOT_GROUP_TITLE, SECURITY_PACKAGE, SELECT_MODE, SELECT_PERMISSION, UPDATE_PERMISSION, VIEW_PERMISSION, WRAPPERS_PACKAGE`

Constructor Summary
`GroupMemberWrapper()` Creates new GroupMemberWrapper

Method Summary
`void` | `applyPermissions(org.w3c.dom.Element rootElem, IGroupMember gm, IGroupsManagerPermissions gmp, IAuthorizationPrincipal ap)` Adds permission attributes to the group member element.
`abstract org.w3c.dom.Element` | `getXml(IGroupMember gm, org.w3c.dom.Element anElem, CGroupsManagerUnrestrictedSessionData sessionData)` Returns an xml element for a given IGroupMember.
`org.w3c.dom.Element` | `getXml(java.lang.String aKey, java.lang.String aType, org.w3c.dom.Element anElem, CGroupsManagerUnrestrictedSessionData sessionData)` Returns an xml element for a given IGroupMember key.
`protected abstract IGroupMember` | `retrieveGroupMember(java.lang.String aKey, java.lang.String aType)` Returns a GroupMember for a key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_TAGNAME

    protected java.lang.String ELEMENT_TAGNAME

Constructor Detail

### GroupMemberWrapper

    public GroupMemberWrapper()

  Creates new GroupMemberWrapper

Method Detail

### getXml

    public org.w3c.dom.Element getXml(java.lang.String aKey,
                                      java.lang.String aType,
                                      org.w3c.dom.Element anElem,
                                      CGroupsManagerUnrestrictedSessionData sessionData)

  Returns an xml element for a given IGroupMember key. The element that is returned could be the same one that is passed in (usually with the expanded attribute set to "true" or a new element (all attributes have to be set after the GroupMember is retrieved).

  Specified by:
    `getXml` in interface `IGroupsManagerWrapper`
  Parameters:
    `aKey` - String
    `aType` - String
    `anElem` - Element
    `sessionData` - CGroupsManagerUnrestrictedSessionData
  Returns:
    Element

### applyPermissions

    public void applyPermissions(org.w3c.dom.Element rootElem,
                                 IGroupMember gm,
                                 IGroupsManagerPermissions gmp,
                                 IAuthorizationPrincipal ap)

  Adds permission attributes to the group member element.

  Parameters:
    `rootElem` - Element
    `gm` - IGroupMember
    `gmp` - IGroupsManagerPermissions
    `ap` - IAuthorizationPrincipal

### getXml

    public abstract org.w3c.dom.Element getXml(IGroupMember gm,
                                               org.w3c.dom.Element anElem,
                                               CGroupsManagerUnrestrictedSessionData sessionData)

  Returns an xml element for a given IGroupMember.

  Specified by:
    `getXml` in interface `IGroupsManagerWrapper`
  Parameters:
    `gm` - IGroupMember
    `anElem` - Element
    `sessionData` - CGroupsManagerUnrestrictedSessionData
  Returns:
    Element

### retrieveGroupMember

    protected abstract IGroupMember retrieveGroupMember(java.lang.String aKey,
                                                        java.lang.String aType)

  Returns a GroupMember for a key.

  Parameters:
    `aKey` -
    `aType` -
  Returns:
    IGroupMember

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD